| Extracted from Pike v7.8 release 700 at 2013-06-08.

[Top]
Standards
Standards.ASN1
Standards.ASN1.Types

# Method Standards.ASN1.Types.make_combined_tag()

Method make_combined_tag

  `int make_combined_tag(int cls, int tag)`

Description

  Combines tag and class as a single integer, in a somewhat arbitrary way. This works also for tags beyond 31 (although not for tags beyond 2^30.

Parameter `cls`

  ASN1 type class

Parameter `tag`

  ASN1 type tag

Returns

  combined tag

See also

  Standards.ASN1.Types.extract_tag Standards.ASN1.Types.extract_cls